document.onreadystatechange = function (e) {
     if (document.readyState === "complete") {
          //if (readCookie("myTheme")) {
          document.querySelector("body").dataset.themeMode = readCookie("myTheme");
          //}
     }
};

$(window).on("load", function () {
     const page = document.querySelector("body");
     let imgSrc, imgSz, bg, bgColor;
     $(".card-wrapper")
          .find(".rotating-card")
          .each(function () {
               imgSrc = $(this).data("img-src");
               bgColor = $(this).data("bg-color");
               imgSz = $(this).data("img-sz");
               $(this)
                    .css("background", function () {
                         bg = "url(" + imgSrc + ") no-repeat center center";
                         return bg;
                    })
                    .css("background-size", function () {
                         if (imgSz != null) {
                              sz = imgSz;
                         } else {
                              sz = "cover";
                         }

                         return sz;
                    });
               $(this)
                    .find(".back")
                    .css("background-color", function () {
                         bgc = "#" + bgColor;
                         return bgc;
                    });
          });

     page.querySelector("#btn-page").addEventListener("click", () => {
          page.dataset.pageType = page.dataset.pageType == "subpage" ? "homepage" : "subpage";
          //document.querySelector(".tools-title").innerText = page.dataset.pageType == "homepage" ? "Home Page" : "Subpage";
     });
     page.querySelector("#btn-theme").addEventListener("click", () => {
          page.dataset.themeMode = page.dataset.themeMode == "light" ? "dark" : "light";
          createCookie("myTheme", page.dataset.themeMode, 1);
     });
});

function createCookie(name, value, days) {
     var expires;

     if (days) {
          var date = new Date();
          date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
          expires = "; expires=" + date.toGMTString();
     } else {
          expires = "";
     }
     document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
}

function readCookie(name) {
     var nameEQ = encodeURIComponent(name) + "=";
     var ca = document.cookie.split(";");
     for (var i = 0; i < ca.length; i++) {
          var c = ca[i];
          while (c.charAt(0) === " ") c = c.substring(1, c.length);
          if (c.indexOf(nameEQ) === 0) return decodeURIComponent(c.substring(nameEQ.length, c.length));
     }
     return null;
}

function eraseCookie(name) {
     createCookie(name, "", -1);
}
